import { useEnumStore } from '@/stores'

const { getEnumTypeList, getEnumTypeName, getEnumTypeValue } = useEnumStore()

/**
 * 实名认证状态
 */
export enum AuthStatus {
    Uncertified = 0, // 未认证
    Certified = 1, // 已认证
    Submitted = 2, // 已提交
    Rejected = 3, // 已拒绝
}

/**
 * 实名认证状态列表
 * @returns 
 */
export function getAuthStatusList() {
    return [
        { label: '未实名', value: AuthStatus.Uncertified },
        { label: '已实名', value: AuthStatus.Certified },
        { label: '实名审核中', value: AuthStatus.Submitted },
        { label: '实名未通过', value: AuthStatus.Rejected },
    ]
}

/**
 * 获取实名认证状态名称
 * @returns 
 */
export function getAuthStatusName(value: number) {
    const enums = getAuthStatusList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取对应的证件类型列表
 * @returns 
 */
export function getCertificateTypeList() {
    return getEnumTypeList('certificatetype')
}

/**
 * 获取对应的证件类型名称
 * @returns 
 */
export function getCertificateTypeCodeName(value: number) {
    const enums = getCertificateTypeList()
    return getEnumTypeName(enums, value)
}

/**
 * 获取对应的证件类型名称的值
 * @returns 
 */
export function getCertificateTypeCodeValue(label: string) {
    const enums = getCertificateTypeList()
    return getEnumTypeValue(enums, label)
}
